/*
 * Configuration file for Moab Insight
 *
 * For each configuration parameter, the default option is shown.  To change the configuration,
 * uncomment the line (remove the double slashes) and change the value as desired.
 */

// Moab listener message bus configuration
//moab.host = "127.0.0.1"
//moab.dataPort = 5574
//moab.reliabilityPort = 5575

// Control message bus configuration (used for commands and queries)
//insight.host = "*"
//insight.port = 5568

// Uncomment and change to a base 64 encoded 16 byte length string to encrypt and decrypt all messages sent over the bus
// For example, "0123456789012345" base64 encoded is "MDEyMzQ1Njc4OTAxMjM0NQ==", do NOT use this password or Insight will not start
//messageQueue.secretKey = "<ENTER-KEY-HERE>"

// The number of threads that are used to process messages from MWM and is correlated with the CPU usage of Insight
//worker.count = 20
// The capacity of the queue where the workers take the messages for processing. The value must be not less than 300*worker.count
//worker.queueCapacity = 6000

// The number of threads that are used to parse messages from MWM
//parser.count = 4
// The coefficient which defines the size of the parser output queue. If it is too small, the workers will
// not get the stable flow of messages to process
// The queue capacity size is calculated as parser.queueSizeFactor * parser.count * worker.count
//parser.queueSizeFactor = 2000

// Mongo configuration to connect to the mongo database
//mongo.username="insight_user"
//mongo.password="secret4"
//mongo.host="127.0.0.1"
//mongo.port=27017
//Example: mongo.replicaSet="localhost:27117,localhost:27118,localhost:27119"
//mongo.replicaSet=""
//mongo.ssl=false

// Mongo configuration to connect to Moab's mongo database as a read-only user
//moab.mongo.username="insight_user"
//moab.mongo.password="secret4"
//moab.mongo.host="127.0.0.1"
//moab.mongo.port=27017

//kafka.enabled=false
//kafka.bootstrap.servers="localhost:9092"
//kafka.batch.size=200
//kafka.linger.ms=1
//kafka.buffer.memory=33554432
//kafka.max.block.ms=60000
//kafka.topic=insight

//Insight tables are considered stale if they have not been updated within this many seconds
//This affects the diagnostic call MWS makes to insight
//health.stale.threshold.seconds = 300

//Reliable delivery configuration
//reliableDelivery.flushLastHandledMessageIdSchedule = "*/1 * * * * *"

// Archiver configuration - the archiver creates samples or historical data from current state data
// archiver.schedule = "0 */1 * * * *" // Every minute
// archiver.dateAlignment = true

// The maximum number of seconds a record will remain in the Insight Mongo database. Note that some
// types of records (e.g. job samples, node samples, system samples) are subject to pruning and
// may be removed before the expireAfterSeconds limit is reached.
// archiver.jobSamples.expireAfterSeconds = 63244800
// archiver.jobStateJournal.expireAfterSeconds = 63244800
// archiver.jobs.expireAfterSeconds = 63244800
// archiver.nodeHistory.expireAfterSeconds = 63244800
// archiver.nodeLifeCycleJournal.expireAfterSeconds = 63244800
// archiver.nodeSamples.expireAfterSeconds = 63244800
// archiver.nodes.expireAfterSeconds = 63244800
// archiver.nodesAuxiliary.expireAfterSeconds = 63244800
// archiver.reservations.expireAfterSeconds = 63244800
// archiver.systemSamples.expireAfterSeconds = 63244800

// If true skip migrating database data from PostgreSQL into MongoDb when connected
// to a database from an older version of Insight
// insight.skip.database.migration = false
