# For encryption/decryption
import base64
import hashlib
import re

from Crypto.Cipher import AES

_key = None


def get_key():
    global _key
    if _key == None:
        p = re.compile('\s*messageQueue.secretKey\s*=\s*(?:\'|")(.*)(?:\'|").*')
        try:
            with open('/opt/insight/etc/config.groovy') as f:
                for line in f:
                    m = p.match(line)
                    if m:
                        _key = m.group(1)
                        break
        except:
            pass
    return _key


def get_aes():
    '''Returns an PyCrypto AES instance that may be used for encryption or decryption or None if no key'''
    encoded_key = get_key()
    if not encoded_key:
        return None
    key = base64.b64decode(encoded_key)
    iv = hashlib.md5(key).digest()
    return AES.new(key, AES.MODE_CBC, iv)


def pad(s):
    return s + (AES.block_size - len(s) % AES.block_size) * chr(AES.block_size - len(s) % AES.block_size)


def unpad(s):
    return s[0:-ord(s[len(s) - 1:])]


def encrypt_message(message):
    aes = get_aes()
    if not aes:
        return message
    encrypted_message = aes.encrypt(pad(message))
    return base64.b64encode(encrypted_message)


def decrypt_message(message):
    aes = get_aes()
    if not aes:
        return message
    decoded_message = base64.b64decode(message)
    return unpad(aes.decrypt(decoded_message))
