import zmq

import ace_zmq

command_ping = 'PING'
command_stop = 'STOP'
command_sync = 'SYNC'
query_health = 'HEALTH'
command_response_ok = 0
command_response_error = 1
command_port = 5568


def send_control_message(command_type, port=command_port, encrypt=True, decrypt=True):
    socket = ace_zmq.get_socket(zmq.REQ)
    socket.connect('tcp://localhost:%d' % port)
    message = ace_zmq.create_message('control', {'command': command_type}, encrypt=encrypt)
    socket.send(message)
    response = ace_zmq.get_response(socket, decrypt=decrypt)
    if response['body']['code'] == command_response_error:
        raise Exception('Control message failed: ' + response['body']['message'])
    socket.close()
    return True

def send_status_query(query_type, port=command_port, encrypt=True, decrypt=True):
    socket = ace_zmq.get_socket(zmq.REQ)
    socket.RCVTIMEO = 20000
    socket.connect('tcp://localhost:%d' % port)
    message = ace_zmq.create_message("status", {'query': 'health'}, encrypt=encrypt)
    socket.send(message)
    response = ace_zmq.get_response(socket, decrypt=decrypt)
    socket.close()
    return response

def send_get_last_handled_id_message(port=command_port, encrypt=True, decrypt=True):
    socket = ace_zmq.get_socket(zmq.REQ)
    socket.RCVTIMEO = 20000
    socket.connect('tcp://localhost:%d' % port)
    message = ace_zmq.create_message("handledMessage", {"message" : "Get latest handled message id"}, encrypt=encrypt)
    socket.send(message)
    response = ace_zmq.get_response(socket, decrypt=decrypt)
    socket.close()
    return response
